#ifndef _H_example
#define _H_example
/*
 * Copyright (c) 2008 - 2012, Andy Bierman, All Rights Reserved.
 * Copyright (c) 2012 - 2020, YumaWorks, Inc., All Rights Reserved.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *

*** Generated by yangdump-sdk

    Combined SIL header
    module example
    revision 2020-01-01
    namespace http://netconfcentral.org/ns/example
    Created: 2020-04-16T17:31:12Z
    CLI parameters:
        format h
        indent 4
        module example
        output example.h
        sil-edit2
        sil-get2
        unified true

 */

#include <xmlstring.h>

#include "dlq.h"
#include "ncxtypes.h"
#include "op.h"
#include "status.h"
#include "val.h"

#ifdef __cplusplus
extern "C" {
#endif

#define y_example_M_example (const xmlChar *)"example"

#define y_example_R_example (const xmlChar *)"2020-01-01"

#define y_example_N_A (const xmlChar *)"A"
#define y_example_N_B (const xmlChar *)"B"
#define y_example_N_C (const xmlChar *)"C"
#define y_example_N_inner (const xmlChar *)"inner"
#define y_example_N_k1 (const xmlChar *)"k1"
#define y_example_N_k2 (const xmlChar *)"k2"
#define y_example_N_list1 (const xmlChar *)"list1"
#define y_example_N_ll_inner (const xmlChar *)"ll-inner"
#define y_example_N_top_cont (const xmlChar *)"top-cont"


/********************************************************************
* FUNCTION y_example_init
*
* initialize the example server instrumentation library
*
* INPUTS:
*    modname == requested module name
*    revision == requested version (NULL for any)
*
* RETURNS:
*     error status
********************************************************************/
extern status_t
    y_example_init (const xmlChar *modname,
                    const xmlChar *revision);


/********************************************************************
* FUNCTION y_example_init2
*
* SIL init phase 2: non-config data structures
* Called after running config is loaded
*
* RETURNS:
*     error status
********************************************************************/
extern status_t
    y_example_init2 (void);


/********************************************************************
* FUNCTION y_example_cleanup
*    cleanup the server instrumentation library
*
********************************************************************/
extern void y_example_cleanup (void);


#ifdef __cplusplus
} /* end extern 'C' */
#endif

#endif
